> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive Pack



## OpenAPI

````yaml /openapi/em-memory-service-v2.yaml post /context-packs/{context_pack_name}/archive
openapi: 3.1.0
info:
  title: EM Memory API
  version: 0.1.0
servers: []
security: []
paths:
  /context-packs/{context_pack_name}/archive:
    post:
      tags:
        - context-pack
      summary: Archive Pack
      operationId: archive_pack_context_packs__context_pack_name__archive_post
      parameters:
        - name: context_pack_name
          in: path
          required: true
          schema:
            type: string
            title: Context Pack Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContextPackArchiveResponse'
        '404':
          description: Context Pack '{context_pack_name}' does not exist.
        '409':
          description: >-
            Context Pack '{context_pack_name}' status should be
            {expected_statuses_text}.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ContextPackArchiveResponse:
      properties:
        id:
          type: string
          title: Id
        status:
          $ref: '#/components/schemas/ContextPackStatus'
        archived_at:
          type: string
          format: date-time
          title: Archived At
      type: object
      required:
        - id
        - status
        - archived_at
      title: ContextPackArchiveResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ContextPackStatus:
      type: string
      enum:
        - active
        - archived
        - deprecated
        - deleted
      title: ContextPackStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````